
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在SuSE Linux操作系统上安装配置Vsftpd / iVAN</title>

    <meta name="description" content="在SuSE Linux操作系统上安装配置Vsftpd 这两天在Suse上安装和配置FTP时,遇到不少问题,这里做一下总结: 一.安装 Suse的图形用户界面做的很不错,所以安装过程也比较简单. 1.打开Yast,Software→Software Management: 2.刚开始使用Suse的软件管理器非常的不习惯,找不到所需的信息在什么地方,可是用了一段时间之后,就感觉它的分类方式更加方便,也为用户提供了更多的信息.在Filter→Package Groups,在下面的树形列表中Productivity→Networking→Ftp,也可以展开">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在SuSE Linux操作系统上安装配置Vsftpd</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这两天在Suse上安装和配置FTP时，遇到不少问题，这里做一下总结：</p>
<p>一、安装</p>
<p>Suse的图形用户界面做的很不错，所以安装过程也比较简单。</p>
<p>1、打开Yast，Software→Software Management；</p>
<p>2、刚开始使用Suse的软件管理器非常的不习惯，找不到所需的信息在什么地方，可是用了一段时间之后，就感觉它的分类方式更加方便，也为用户提供了更多的信息。在Filter→Package Groups，在下面的树形列表中Productivity→Networking→Ftp，也可以展开Ftp节点，选择其中的Servers节点；</p>
<p>3、在左侧的软件包列表中选择vsftpd，然后点击下方的Accept按钮，会提示插入光盘；</p>
<p>4、插入所需的光盘后，系统会自动开始安装，安装完毕，可以在下面的File List选项页中查看vsftpd相关的所有文件。</p>
<p>二、启动服务</p>
<p>安装完成后，vsftpd是作为一个独立的服务启动，不接受xinetd的管理。系统会自动在Service列表中添加名称vsftpd的服务。启动服务的步骤如下：</p>
<p>1、Yast→System→System Services(Run level)；</p>
<p>2、在服务列表中选择vsftpd，点击下方的Enable按钮，启动服务，Finish。</p>
<p>注意，在启动vsftpd时可能会不能启动，有时是因为它所依赖的服务没有启动，如syslog，这时选中syslog，点击Enable按钮。如果还是不能启动，可以重新启动xinetd服务，然后再启动vsftpd服务。</p>
<p>三、遇到的问题</p>
<p>1、只允许匿名用户登录</p>
<p>现象：ftp连接过程中，提示输入用户名，输入本机已有用户名angel，得到提示：530 This FTP server is anonymous only，登录失败。</p>
<p>原因：安装vsftpd后，其默认为匿名FTP服务器，只允许匿名用户登录。</p>
<p>解决方法：vsftpd有三种服务器方式：匿名方式、本地方式和虚拟用户方式，此处需要修改vsftpd的配置将其设为本地方式。vsftpd的配置文件位于/etc/目录下，名称为vsftpd.conf。关于该配置文件在网上已经有很多高手做了详细的分析和讲解，并且该文件内部的注释也比较详细，这里就不再一一讲解了。下面只说明几处需要修改的地方：</p>
<p>将local_enable=YES前的#去掉，使其可用，表示允许本地用户登录；增加listen_port=21配置项，设置监听端口为21；该步骤可选，不允许匿名用户登录，将anonymous_enable=YES的值改为NO，根据实际需要设置。</p>
<p>重启vsftpd服务：service vsftpd restart。启动后，在进行测试，使用本地用户angel及其密码登录，成功。注意：以上测试是在本机（或使用SSH登录后）进行。</p>
<p>2、其他机器不能连接该服务器</p>
<p>现象：本机测试通过后，在其他机器（Windows或Redhat）上使用ftp 192.168.1.8连接该服务器，得到Connection closed by remote host或Connection timed out提示信息，连接失败。</p>
<p>原因：Suse的防火墙阻止了外来机器对FTP所用的端口的访问。</p>
<p>解决方法：放开防火墙对FTP所使用的20和21端口的限制，步骤如下：</p>
<p>i&gt; Yast→Security and Users→Firewall；ii&gt; 在左侧的列表中选择Allowed Services，令人感到以外的是，即使安装FTP服务器，在Servces to Allow列表中也没有FTP服务可供选择，但是SSH、HTTP、HTTPS、Samba等都赫然在列，所以要使用高级设置。点击右下方法的Advanced按钮，打开高级设置对话框；iii&gt; 在TCP Ports中输入20 21，注意两个端口号之间使用空格分开，OK；iv&gt; Next→Accept，重新测试，连接成功，使用Suse系统中已有的angel及其密码登录，成功。</p>
<p>注意，虽然这里有些问题是在Suse下遇到，但是在其他操作系统中的vsftpd的配置中依然适用。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 12:37:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e7%99%bb%e5%bd%95/" title="登录">登录</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ac%e6%9c%ba/" title="本机">本机</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/vsftpd/" title="vsftpd">vsftpd</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在SuSE Linux操作系统上安装配置Vsftpd的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3j0rwz.html" rel="bookmark">如何在SUSE Linux 10上安装Oracle：使用DBCA创建数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在SUSE Linux 10上安装Oracle:使用DBCA创建数据库的详细步骤说明 oracle@linuxsuse:~&gt; dbca			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVOGKp.html" rel="bookmark">如何在SUSE Linux 10上安装Oracle：创建数据库监听</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在SUSE Linux 10上安装Oracle:创建数据库监听的详细步骤说明 $ORACLE_HOME/bin/netcaoracle@linuxsuse:~&gt; netca			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQlWYp.html" rel="bookmark">linux上安装配置vsftpd&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  转自:http://www.webarch.org/category/linux生产环境是Centos5.6,由于需要提供ftp服务,就找了一款比较小巧的ftp服务器端软件,vsftpd(vsftpd 的名字代表&quot;very secure FTP daemon&quot;.vsftpd在安全性.高性能及稳定性三个方面有上佳的表现.它提供的主要功能包括虚拟IP设置.虚拟用户.Standalone.inetd操作模式.强大的单用户设置能力及带宽限流等. 安全是它的开发者 Chris Evans 考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKZxNp.html" rel="bookmark">在Linux服务器上安装配置socks5代理的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  socks5 SOCKS5 是一个代理协议,它在使用 TCP/IP协议通讯的前端机器和服务器机器之间扮演一个中介角色,使得内部网中的前端机器变得能够访问Internet网中的服务器,或者使通讯更加安全.SOCKS5 服务器通过将前端发来的请求转发给真正的目标服务器, 模拟了一个前端的行为.在这里,前端和SOCKS5之间也是通过TCP/IP协议进行通讯,前端将原本要发送给真正服务器的请求发送给SOCKS5服务器,然后SOCKS5服务器将请求转发给真正的服务器. 如果您的机器具有一个合法的 In			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjO85M.html" rel="bookmark">在Linux操作系统上安装Sybase的注意事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1．如果是双机系统,代码装在本地磁盘,数据库设备装在阵列上缺省情况下,Sybase代码安装在/opt/sybase-12.5下 在/opt目录下,创建sybase-12.5目录 #mkdir sybase-12.5 把磁盘阵列的moint point设为/sybdata 以后建的数据库设备都建在/sybdata上. 2．创建sybase用户 通过图形界面,用管理工具建立sybase用户,注意,Sybase用户的home目录设为/opt/sybase-12.5,shell设置为bsh. 3．修改/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRygJkb.html" rel="bookmark">Linux操作系统上安装MYSQL数据库的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.下载MySQL的安装文件 安装MySQL需要下面两个文件: MySQL-server-5.0.26-0.i386.rpm MySQL-client-5.0.26-0.i386.rpm 下载地址为:http://dev.mysql.com/downloads/mysql/5.0.html,打开此网页,下拉网页找到&quot;Red Hat Enterprise Linux 3 RPM (x86) downloads&quot;项,找到&quot;Server&quot;和&quot;Client pro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKaKAM.html" rel="bookmark">在Linux系统上安装配置DNS服务器的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  简介 DNS 是计算机域名系统 (Domain Name System 或Domain Name Service) 的缩写,它是由解析器和域名服务器组成的.域名服务器是指保存有该网络中所有主机的域名和对应IP地址,并具有将域名转换为IP地址功能的服务器.其中域名必须对应一个IP地址,而IP地址不一定有域名.域名系统采用类似目录树的等级结构.域名服务器为客户机/服务器模式中的服务器方,它主要有两种形式:主服务器和转发服务器.将域名映射为IP地址的过程就称为&quot;域名解析&quot;.在Intern			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p56Odnz.html" rel="bookmark">如何在SUSE Linux 10上安装Oracle：安装数据库软件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上传数据库软件到/db/sw 目录 以oracle 用户上传并解压数据库软件:[oracle@linuxserv5 sw]$ pwd/db/sw[oracle@linuxserv5 sw]$ lslinux_x86_11gR1_database.zip[oracle@linuxserv5 sw]$ unzip linux_x86_11gR1_database.zip 安装数据库软件 oracle@linuxsuse:/db/sw&gt; ./runInstaller			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn4X1Ob.html" rel="bookmark">如何在SUSE Linux 10上安装Oracle：创建Oracle用户和组及安装目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 创建用户和组: linuxsuse:~ # groupadd oinstalllinuxsuse:~ # groupadd dbalinuxsuse:~ # useradd -g oinstall -G dba oraclelinuxsuse:~ # passwd oracleChanging password for oracle.New Password:Bad password: too simpleReenter New Password:Password changed.linux			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGxPvb.html" rel="bookmark" class="title">通用ShellCode深入剖析</a>
					<div>
						前言: 在网上关于ShellCode编写技术的文章已经非常之多,什么理由让我再写这种 技术文章呢?本文是我上一篇溢出技术文章&lt;Windows 2000缓冲区溢出技术原理&gt;的姊妹 篇,同样的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7xq7b.html" rel="bookmark" class="title">《WCF技术内幕》34：第2部分&lowbar;第6章&lowbar;通道：通道接口和基本类型</a>
					<div>
						通道接口和基本类型 本章开始部分曾经提到过,学习WCF通道基础结构的一个关键部分就是了解 WCF系统在通道层使用的接口和类型.本节系统整理了这些复杂的类型系统,深 入浅出地讲述各个接口和类型的原理,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7O8jb.html" rel="bookmark" class="title">PS滤镜打造爆炸后的蘑菇云</a>
					<div>
						教程非常详细介绍火焰蘑菇云的制作方法.教程的效果相当不错,色彩渲染的很有冲击感,细节部分都修饰的很到位.都是平时我们用的一些效果,不过在高手手里就是不同. 最终效果 1.建立一新文档.这里我用800* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK8nap.html" rel="bookmark" class="title">PHP数组和explode函数示例总结</a>
					<div>
						  有关php分割字符串explode函数的用法,使用explode函数将字符串分割到数组,这里给大家总结了几个示例,需要的朋友参考下. PHP数组和explode函数应用实例,供大家学习参考. 例1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElwLPz.html" rel="bookmark" class="title">鼠标指针怎么换</a>
					<div>
						工具/原料 文章在win7系统进行 步骤/方法 点击开始再选择控制面板 主题包&quot;&gt; 进入控制面板,选择鼠标 进入鼠标对话框,选择指针 然后我们就可以看到方案,在这里面有很多系统方案(当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oJGAb.html" rel="bookmark" class="title">阿里云邮箱如何查看邮箱的容量</a>
					<div>
						  方法一: 首先登录邮箱,在进入邮箱的第一个界面,可以查看邮箱的容量信息.如果当前已经进入邮箱,并点击其他信息后,您也可以通过点击页面右上方&quot;我的邮箱&quot;回到进入邮箱的第一个界面. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArXRXp.html" rel="bookmark" class="title">Win8蓝屏提示&OpenCurlyDoubleQuote;你的电脑遇到问题需要重启&rdquo;</a>
					<div>
						  最近,很多用户都表示自己的电脑经常遇到蓝屏的情况,包括小编自己的电脑也是,没弄什么东西就蓝屏了,很烦人.并且蓝屏的时候还会提示&quot;你的电脑遇到问题,需要重新启动.我们只手机某些错误信息.& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBXNRz.html" rel="bookmark" class="title">win7系统internet选项打不开的解决方法</a>
					<div>
						  大家第一次接触电脑应当是网上查一些资料,接触的第一个软件应该是IE浏览器,也知道IE浏览器中Internet选项是非常重要的,它对很多重要的属性进行设置,比如:屏蔽网页上讨厌的弹出广告.关闭不停弹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRJ2xp.html" rel="bookmark" class="title">win7旗舰版系统创建系统映像备份的方法</a>
					<div>
						  1.首先依次点击win7系统的&quot;开始---控制面板---系统和安全---备份和还原---创建系统映像&quot;; 2.这时候系统会自动检测可用于创建备份的硬盘分区,会弹出创建系统窗口, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N0lOM.html" rel="bookmark" class="title">svn 安装以后，mysql 就不能用ip登录了。</a>
					<div>
						问题描述 svn 安装以后,mysql 就不能用ip登录了. mysql 在没有安装svn之前,是可以通过ip地址远程的,但是安装了svn之后,通过ip远程就不能连接了, 报错:,求各位大神帮助!!! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmdg0z.html" rel="bookmark" class="title">html5-HTML5怎么实现录音和播放功能</a>
					<div>
						问题描述 HTML5怎么实现录音和播放功能 想做一个网页单机版的html5的录制语音,没有思路,求大神给个源码来学习 解决方案 html5实现录音.拍摄功能 解决方案二: 网页,单机版 录音? 好乱					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWKwOp.html" rel="bookmark" class="title">用细节抓住用户&mdash;&mdash;淘网址运营那点事儿</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 很久没写东西了,文字功底基本上快还给老师了.所以在这个时候,还是温故知新一下,写写关于淘网址运营的那点事儿. 接触了淘网址运营一年多,在之前同事组织的每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo7W0b.html" rel="bookmark" class="title">流媒体-ios开发手机视频客户端，不知道再怎么嵌入一个视频播放窗口</a>
					<div>
						问题描述 ios开发手机视频客户端,不知道再怎么嵌入一个视频播放窗口 要给一个网站做一个ios的视频播放器,视频资源从它的网站下载,听说要用到流媒体技术,不知道怎么回事,怎么在代码中嵌入一个播放器啊, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l563b.html" rel="bookmark" class="title">【性能优化】CBO&comma;RBO在ORACLE 10g 中的应用</a>
					<div>
						奇怪的执行计划 10g 开始 oracle 就默认使用cbo 来代替rbo 来选择合适的执行计划,但是今天遇到的一个例子,有点例外: SQL&gt; select * from v$version;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AZ4Nz.html" rel="bookmark" class="title">PS制作镀金字效果</a>
					<div>
						此教程的效果有点类似铜字效果.制作起来也比较简单,大致过程:先打好文字,然后把文字在通道里面适当模糊处理,再进行光照效果调光,最后用曲线来现实反光效果. 最终效果 1.打开下图所示的素材图,也可以自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZWAnz.html" rel="bookmark" class="title">求大神UDP服务端高并发设计架构&comma;在线等</a>
					<div>
						问题描述 求大神UDP服务端高并发设计架构,在线等 服务端只开了一个固定端口(业务规定),网上查了下,说可以保存客户端IP跟端口,服务端建新的SOCKET,跟新端口跟客户端处理后续数据,写了个简单程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7gOgp.html" rel="bookmark" class="title">（分已用完）一个WORD文档（文档1），复制到其他目录（文档2），现在修改文档1里的内容，比如增加几行字或删了几个字，现在我想文档2与文档1的内容一致，除了复制还有其它什么办法，就是说能不能通过文件对比什么的，相应的程序自动修改文档2的内容。</a>
					<div>
						问题描述 我想问有没有这样的方法,大家可以说说,不一定要你做过 解决方案 解决方案二:现在我想文档2与文档1?问题不完全是不是要问关于保证两个文档资料始终一样用fileNotification监控文档 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRBrap.html" rel="bookmark" class="title">运维-linux的iptables实现tcp转发</a>
					<div>
						问题描述 linux的iptables实现tcp转发 琢磨了半天,没有进展,向大神来请教. 现在的问题是这样的. 有3台服务器, A:172.26.1.1 B:172.26.5.2 C:10.9.56 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnQR0M.html" rel="bookmark" class="title">Dialog&lpar;二&rpar;&mdash;&mdash;单选对话框和多选对话框</a>
					<div>
						MainActivity如下: import android.os.Bundle; import android.app.Activity; import android.app.Dialog; im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J73kz.html" rel="bookmark" class="title">求助，servlet的执行有问题，到了其中一步怎么都不往下走了</a>
					<div>
						问题描述 求助,servlet的执行有问题,到了其中一步怎么都不往下走了 相应的代码在上面,希望有人指点,在String path = request.getRequestURI();这里设断点可以有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr22vVM.html" rel="bookmark" class="title">asp批量生成大量规律性文本内容的代码&lowbar;应用技巧</a>
					<div>
						今天在做一个页面的时候,因为几百个文件,不可能一个一个的手工修改,因为中间就路径的id需要修改下,有一定的规律性,所以想了一下,感觉asp比较简单,php也一样的原理,vbs与js就稍微麻烦了点,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO174b.html" rel="bookmark" class="title">PHP加密3DES报错 Call to undefined function&colon; mcrypt&lowbar;module&lowbar;open&lpar;&rpar; 如何解决&lowbar;php实例</a>
					<div>
						我也是PHP新手,通过w3cschool了解了一下php基本原理之后就开写了.但仍是菜鸟. 先不管3DES加密的方法对不对,方法都是网上的,在运行的时候报了个错,把小弟整死了.找来找去终于自己摸出了方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2lQOz.html" rel="bookmark" class="title">一个老生常谈的话题</a>
					<div>
						问题描述 当下移动互联网的时代来临了,对于选择android和j2ee这两条路线的哪一个,大神们能谈谈看法吗? 解决方案 解决方案二:刚入门的小鸟个人认为无所谓,哪个学通了都是铁饭碗移动互联网很火,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJgLZM.html" rel="bookmark" class="title">融入曼妙田园色彩 卫浴间也要弥漫温馨舒适&lpar;图&rpar;</a>
					<div>
						在乡村风日益流行的今天,我们的卫浴空间也需要融入曼妙的田园色彩,那种轻松.不雕琢的感觉才适合放松全身. 一般来讲,这种风格的卫浴空间都比较大,招牌特点就是尽可能选用木.石.藤.竹.织物等天然建筑材料, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXd9avp.html" rel="bookmark" class="title">云计算的出现并非瓦解IT部门的根源</a>
					<div>
						有人说云计算革命会带来IT部门的革命,甚至导致IT部门的消失,但是本文认为企业执行功能障碍是导致IT部门功效降低的原因,而不是云计算或自带设备模式(BYOD)的出现. IT部门职能正在消失,或变得不再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Gl43M.html" rel="bookmark" class="title">博客留言也具有优化的价值</a>
					<div>
						曾经有资深的http://www.aliyun.com/zixun/aggregation/32834.html&quot;&gt;业内人士这样说过,&quot;精彩的评论也会引起长 串的讨论&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoPdZM.html" rel="bookmark" class="title">借鉴海外创业板</a>
					<div>
						Lessons from other countries' Nasdaq-style markets 文/刘玉珍 刘 佳 以铜为镜,可以正衣冠:以古为镜,可以知兴替.中国创业板市场方启,从筹备到实施, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdv4LXb.html" rel="bookmark" class="title">LG、三星3D门阀之争火药味十足</a>
					<div>
						韩系两大消费电子巨头三星与LG近来火药味十足.本周两巨头选择同一天在上海发布全年全系列新品.有意思的是,两者均以智慧生活为主题,发布各自的智能电视.智能手机以及其他智能家电产品. 从去年底开始,随着L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKNkmM.html" rel="bookmark" class="title">各类个人网站有效地赚广告费体会谈</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我把访问量不错的,能赚钱的个人网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3mL8b.html" rel="bookmark" class="title">如何更好的打造应用</a>
					<div>
						目前,知名媒体人杰西卡-E-莱森(JESSICA E. LESSIN)撰文对如今正处于快速发展阶段的应用开发行业做出了自己的看法.在莱森看来,尽管有些应用开发公司是近期新成立的,但是它们在如今巨人林立 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
